%***Redukce barevneho prostoru***

switch get(findobj('Tag','Omez_vyber'),'Value');                            %Typ redukce
    case 1
        pamet.upraveny_obraz.img = pamet.upraveny_obraz.imgall(:,:,1);      % vybere cervenou slozku
    case 2
        pamet.upraveny_obraz.img = pamet.upraveny_obraz.imgall(:,:,2);      % vybere zelenou slozku
    case 3
        pamet.upraveny_obraz.img = pamet.upraveny_obraz.imgall(:,:,3);      % vybere modrou slozku
    case 4
        for x=1:pamet.upraveny_obraz.rozmer.x
            for y=1:pamet.upraveny_obraz.rozmer.y
            %vypocte intenzitu podle vytahu 0.299*r+0.587*g+0.114*b    
            pamet.upraveny_obraz.img(x,y) = (0.299*pamet.upraveny_obraz.imgall(x,y,1)+0.587*pamet.upraveny_obraz.imgall(x,y,2)+0.114*pamet.upraveny_obraz.imgall(x,y,3));
            end
        end
    case 5
        for x=1:pamet.upraveny_obraz.rozmer.x
            for y=1:pamet.upraveny_obraz.rozmer.y
            %vypocte prumernou intenyitu    
            pamet.upraveny_obraz.img(x,y) =(0.3*pamet.upraveny_obraz.imgall(x,y,1)+0.3*pamet.upraveny_obraz.imgall(x,y,2)+0.3*pamet.upraveny_obraz.imgall(x,y,3));
            end
        end
end
set(findobj('Tag','Kontrolka_omez'),'BackgroundColor','green');             % obarvi kontrolku ze je krok dokoncen
